#import "StructureRecordAdv.h"
#import "StructureRecordAdvUI.h"

@implementation StructureRecordAdvUI
/* This method returns the NIB file to use for the inspector panel */
+ (NSString *)viewNibName
{
    return @"StructureRecordAdvUI";
}

/* This method specifies the title for the inspector window */
+ (NSString *)viewTitle
{
    return @"Structure Record";
}

- (IBAction)toggleSafeMode:(id)sender
{
	/* if we find other cases where we need to 'safeify' something, add them here. */
	if([[sender title] isEqual:@"Safe Mode"] == TRUE)
		[[self patch] toggleCGMode];
}

- (void)setupViewForPatch:(QCPatch *)patch
{	
	if([(StructureRecordAdv*)patch cgMode] == TRUE)
		[safeModeToggle setState:NSOnState];
	else
		[safeModeToggle setState:NSOffState];
	
	[super setupViewForPatch:patch];
}

@end