@interface QCObject : NSObject <NSCoding, NSCopying>
{
    unsigned int _timestamp;
    void *_observationInfo;
}

+ (BOOL)accessInstanceVariablesDirectly;
+ (BOOL)automaticallyNotifiesObserversForKey:(id)fp8;
+ (id)allocWithZone:(struct _NSZone *)fp8;
+ (Class)valueClass;
- (id)value;
- (unsigned int)_timestamp;
- (void)_updateTimestamp;
- (void)willChange;
- (void)didChange;
- (id)description;
- (id)valueForKey:(id)fp8;
- (id)stateValue;
- (id)initWithStateValue:(id)fp8;
- (void)setObservationInfo:(void *)fp8;
- (void *)observationInfo;
- (void)encodeWithCoder:(id)fp8;
- (id)initWithCoder:(id)fp8;
- (id)copyWithZone:(struct _NSZone *)fp8;

@end

typedef struct {
    float x;
    float y;
    float z;
} CDAnonymousStruct1;

typedef struct {
    float _field1;
    float _field2;
    float _field3;
    float _field4;
    float _field5;
    float _field6;
    int _field7;
    float _field8;
    float _field9;
    float _field10;
    float _field11;
    float _field12;
    float _field13;
    float _field14;
    float _field15;
    float _field16;
    float _field17;
    float _field18;
    float _field19;
    float _field20;
} CDAnonymousStruct2;

typedef struct {
    float _field1;
    float _field2;
    float _field3;
    float _field4;
} CDAnonymousStruct3;

typedef struct {
    float red;
    float green;
    float blue;
    float alpha;
} CDAnonymousStruct4;

typedef struct {
    float x;
    float y;
    float z;
    float w;
} CDAnonymousStruct5;
